###############################################################################
# BRLTTY - A background process providing access to the console screen (when in
#          text mode) for a blind person using a refreshable braille display.
#
# Copyright (C) 1995-2025 by The BRLTTY Developers.
#
# BRLTTY comes with ABSOLUTELY NO WARRANTY.
#
# This is free software, placed under the terms of the
# GNU Lesser General Public License, as published by the Free Software
# Foundation; either version 2.1 of the License, or (at your option) any
# later version. Please see the file LICENSE-LGPL for details.
#
# Web Page: http://brltty.app/
#
# This software is maintained by Dave Mielke <dave@mielke.cc>.
###############################################################################

Name: brltty
Version: 6.8
URL: https://brltty.app/
Description: Braille Device Daemon

package_name=brltty
package_version=6.8
package_url=https://brltty.app/

display_name=BRLTTY
mailing_list=BRLTTY@brltty.app

prefix=/
sysconfdir=${prefix}/etc
datarootdir=${prefix}/share

exec_prefix=${prefix}
bindir=${exec_prefix}/bin
sbindir=${exec_prefix}/sbin
libdir=${exec_prefix}/lib
libexecdir=${exec_prefix}/libexec

updatable_directory=${prefix}/var/lib/brltty
writable_directory=/run/brltty

execute_root=
program_directory=${execute_root}${exec_prefix}/bin
helpers_directory=${execute_root}${exec_prefix}/libexec/brltty
drivers_directory=${execute_root}${exec_prefix}/lib/brltty
tables_directory=${execute_root}${prefix}/etc/brltty
include_directory=${execute_root}${prefix}/include/brltty
manpage_directory=${execute_root}${datarootdir}/man

configuration_file=brltty.conf
preferences_file=brltty.prefs

text_table=en-nabcc
attributes_table=left_right

have_liblouis=no
liblouis_tables_directory=

braille_parameters=
braille_device=usb:,bluetooth:

speech_parameters=
have_speech=yes

screen_parameters=
screen_driver=wn

all_braille_driver_codes=al at ba bc bd bl bm bn cb ce cn dp ec eu fa fs hd hm ht hw ir ic lt mb md mm mn mt np pg pm sk tn ts tt vd vo vs xw
all_braille_driver_names=Alva Albatross BrlAPI BrailComm Braudi BrailleLite Baum BrailleNote CombiBraille Cebra Canute DotPad EcoBraille EuroBraille FrankAudiodata FreedomScientific Hedo HIMS HandyTech HumanWare Iris Inceptor LogText MultiBraille MDV BrailleMemo MiniBraille Metec NinePoint Pegasus Papenmeier Seika TechniBraille TSI TTY VideoBraille Voyager VisioBraille XWindow
internal_braille_driver_codes=al at ba bc bd bl bm bn cb ce cn dp ec eu fa fs hd hm ht hw ir ic lt mb md mm mn mt np pg pm sk tn ts tt vd vo vs xw
internal_braille_driver_names=Alva Albatross BrlAPI BrailComm Braudi BrailleLite Baum BrailleNote CombiBraille Cebra Canute DotPad EcoBraille EuroBraille FrankAudiodata FreedomScientific Hedo HIMS HandyTech HumanWare Iris Inceptor LogText MultiBraille MDV BrailleMemo MiniBraille Metec NinePoint Pegasus Papenmeier Seika TechniBraille TSI TTY VideoBraille Voyager VisioBraille XWindow
external_braille_driver_codes=
external_braille_driver_names=

all_speech_driver_codes=al bl cb fv gs xs
all_speech_driver_names=Alva BrailleLite CombiBraille Festival GenericSay ExternalSpeech
internal_speech_driver_codes=al bl cb
internal_speech_driver_names=Alva BrailleLite CombiBraille
external_speech_driver_codes=
external_speech_driver_names=

all_screen_driver_codes=wn fv tx
all_screen_driver_names=Windows FileViewer Tmux
internal_screen_driver_codes=wn
internal_screen_driver_names=Windows
external_screen_driver_codes=
external_screen_driver_names=

libbraille_root=
espeak_root=
espeak_ng_root=
flite_root=
flite_language=
flite_lexicon=
flite_voice=
mikropuhe_root=
speechd_root=
swift_root=
theta_root=

privilege_parameters=
relocatable_install=yes
static_executables=no
stripped_executables=yes

have_expat=no
have_gpm=no
have_i18n=no
have_iconv=yes
have_icu=no
have_polkit=no

have_x=no
toolkit_package=windows
curses_package=pdcursesw

system_package=windows
pgmpath_package=windows
pgmprivs_package=none
service_package=windows
params_package=none
dynld_package=windows
rgx_package=none
charset_package=windows
hostcmd_package=windows
mntpt_package=none
mntfs_package=none
kbd_package=none
bell_package=none
leds_package=none
beep_package=windows
pcm_package=windows
midi_package=windows
fm_package=adlib
serial_package=windows
usb_package=libusb
bluetooth_package=windows
ports_package=windows

init_path=
stderr_path=

have_api=yes
have_java_bindings=no
have_lisp_bindings=yes
have_ocaml_bindings=no
have_python_bindings=yes
have_tcl_bindings=no

api_name=BrlAPI
api_version=0.8
api_release=0.8.7

api_major=0
api_minor=8
api_revision=7

api_parameters=
api_socket_path=\\.\pipe\BrlAPI
api_authkey_file=//etc/brlapi.key

revision_identifier=BRLTTY-6.9+
